Bug 110718 - [CI][BAT] random tests - dmesg-warn / dmesg-fail - *ERROR* dp aux hw did not signal timeout!
Summary: [CI][BAT] random tests - dmesg-warn / dmesg-fail - *ERROR* dp aux hw did not ...
Status: RESOLVED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Imre Deak
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 107406 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-05-21 13:39 UTC by Martin Peres
Modified: 2019-08-12 07:51 UTC (History)
4 users (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-05-21 13:39:39 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6111/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html

<3> [210.782867] [drm:intel_dp_aux_xfer [i915]] *ERROR* dp aux hw did not signal timeout!
<3> [211.654398] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
<3> [217.176867] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
<3> [223.362223] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to enable link training
Comment 1 Imre Deak 2019-05-22 10:49:54 UTC
The timeout in the log happens on port B without eDP being enabled. There is a known issue related to this discussed at the internal 

HSD/1607152412

ticket which provides a workaround for the issue. The new programming sequence needed for the workaround is described at

BSpec/Index/21257

I sent the corresponding patch to trybot:
https://patchwork.freedesktop.org/patch/306251/?series=60957&rev=1
Comment 2 CI Bug Log 2019-05-22 13:56:59 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_flip@basic-* - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout!
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4321/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4321/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4321/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4321/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6111/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6111/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6111/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6111/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5000/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5000/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5000/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5000/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6112/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6112/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6112/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6112/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6113/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6113/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6113/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6113/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3017/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3017/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3017/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3017/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3018/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3018/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3018/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3018/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13055/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13055/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13055/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13055/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6114/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6114/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6114/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6114/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13056/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13056/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13056/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13056/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13057/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13057/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13057/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13057/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13058/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13058/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13058/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13058/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13059/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13059/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13059/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13059/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13064/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13064/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13064/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13064/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4322/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4322/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4322/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4322/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4323/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4323/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4323/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4323/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4324/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4324/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4324/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4324/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13065/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13065/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13065/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13065/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6115/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6115/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6115/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6115/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13066/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13066/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13066/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13066/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4325/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4325/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4325/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4325/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4326/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4326/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4326/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4326/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6116/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6116/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6116/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6116/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6117/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6117/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6117/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6117/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13067/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13067/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13067/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13067/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5001/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5001/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5001/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5001/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5002/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5002/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5002/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5002/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6118/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6118/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6118/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6118/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3020/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3020/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3020/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3020/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3021/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3021/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3021/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3021/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3022/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3022/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3022/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3022/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6119/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6119/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6119/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6119/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5003/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5003/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5003/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5003/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6120/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6120/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6120/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6120/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13068/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13068/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13068/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13068/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3025/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3025/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3025/fi-icl-u3/igt@kms_flip@basic-flip-vs-wf_vblank.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3025/fi-icl-u3/igt@kms_flip@basic-plain-flip.html
Comment 3 CI Bug Log 2019-05-22 14:18:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_flip@basic-* - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout! -}
{+ ICL: igt@kms_flip@basic-* + random tests - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout! +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6111/fi-icl-u3/igt@kms_psr@sprite_plane_onoff.html
Comment 4 CI Bug Log 2019-05-22 14:18:59 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_flip@basic-* + random tests - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout! -}
{+ ICL: igt@kms_flip@basic-* + random tests - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout! +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6111/fi-icl-u3/igt@i915_module_load@reload-with-fault-injection.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6119/fi-icl-u3/igt@gem_exec_suspend@basic-s3.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5003/fi-icl-u3/igt@i915_module_load@reload-with-fault-injection.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6120/fi-icl-u3/igt@i915_module_load@reload-with-fault-injection.html
Comment 5 Imre Deak 2019-05-23 12:12:13 UTC
The patch in comment#1 seems to fix the issue:

  * igt@kms_flip@basic-flip-vs-dpms:
    - {fi-icl-u3}:        [DMESG-FAIL][13] ([fdo#110718]) -> [PASS][14] +1 similar issue
   [13]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6125/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html
   [14]: https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4330/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html

  * igt@kms_flip@basic-flip-vs-modeset:
    - {fi-icl-u3}:        [DMESG-WARN][15] ([fdo#110718]) -> [PASS][16] +1 similar issue
   [15]: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6125/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html
   [16]: https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4330/fi-icl-u3/igt@kms_flip@basic-flip-vs-modeset.html

Before posting the patch I'd like to test if it fixes the problem consistently when triggering the issue with Chamelium tests. I think the workaround only works on ICL D2 stepping (like the ICLs in CI).
Comment 6 CI Bug Log 2019-05-23 13:49:15 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_flip@basic-* + random tests - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout! -}
{+ ICL: all tests - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout! +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5005/fi-icl-u3/igt@gem_exec_suspend@basic-s4-devices.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_rotation_crc@multiplane-rotation-cropping-top.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-ts-continuation-idle-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip_tiling@flip-to-x-tiled.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_atomic_transition@3x-modeset-transitions-nonblocking.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-busy-flip.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-query-forked-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-wait-forked-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-dpms-vs-vblank-race.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-modeset-vs-vblank-race-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_scaling@pipe-c-plane-scaling.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_rotation_crc@sprite-rotation-90-pos-100-0.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-query-forked-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-wait-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@psr-1p-offscren-pri-indfb-draw-mmap-wc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_universal_plane@disable-primary-vs-flip-pipe-c.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_cursor_legacy@cursora-vs-flipb-atomic-transitions.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@absolute-wf_vblank.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-query-busy-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-a-legacy-gamma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-plain-flip-ts-check.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-single-buffer-flip-vs-dpms-off-vs-modeset-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-wait-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-a-ctm-red-to-blue.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-idle.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-ts-continuation-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_available_modes_crc@available_mode_test_crc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane@plane-panning-bottom-right-suspend-pipe-c-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane@plane-panning-bottom-right-pipe-b-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-blocking-wf-vblank.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_scaling@pipe-b-scaler-with-clipping-clamping.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-query-forked-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_atomic_interruptible@legacy-cursor.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_lowres@pipe-c-tiling-none.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbcpsr-2p-primscrn-pri-indfb-draw-mmap-cpu.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-a-ctm-negative.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-fences-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@perf_pmu@event-wait-rcs0.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-forked-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip_tiling@flip-y-tiled.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-0.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_universal_plane@disable-primary-vs-flip-pipe-b.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-ts-continuation-modeset.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-query-forked-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-ts-continuation-dpms-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-accuracy-idle.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-query-forked-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@gem_ctx_isolation@rcs0-s3.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_atomic_transition@3x-modeset-transitions.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@i915_pm_rpm@system-suspend-modeset.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-dpms-off-vs-modeset.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane@pixel-format-pipe-b-planes-source-clamping.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-cur-indfb-draw-mmap-cpu.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@flip-vs-panning.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip_tiling@flip-to-yf-tiled.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-forked.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@flip-vs-modeset-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_scaling@pipe-a-scaler-with-rotation.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbcpsr-1p-offscren-pri-indfb-draw-mmap-cpu.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-c-ctm-0-75.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_cursor_crc@pipe-c-cursor-64x64-sliding.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_rotation_crc@cursor-rotation-180.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-90.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-query-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-ts-continuation-idle-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-spr-indfb-fullscreen.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-forked-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-c-degamma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_ccs@pipe-c-crc-primary-rotation-180.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-ts-continuation-modeset-rpm.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_atomic_transition@2x-modeset-transitions-nonblocking.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_lowres@pipe-a-tiling-x.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-ts-continuation-dpms-rpm.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-ts-continuation-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-query-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@psr-2p-primscrn-cur-indfb-draw-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_psr@sprite_mmap_gtt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_atomic_transition@2x-modeset-transitions-nonblocking-fencing.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_ccs@pipe-a-bad-aux-stride.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@plain-flip-ts-check-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbc-1p-offscren-pri-shrfb-draw-blt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane@plane-position-hole-pipe-b-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-blocking-absolute-wf_vblank.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_content_protection@legacy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_properties@connector-properties-atomic.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-wf_vblank-ts-check.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_universal_plane@cursor-fb-leak-pipe-a.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@bo-too-big-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-modeset-vs-hang-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@flip-vs-blocking-wf-vblank.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@plain-flip-ts-check.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-c-gamma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-ts-continuation-dpms-rpm.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_cursor_legacy@cursora-vs-flipb-toggle.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_lowres@pipe-c-tiling-y.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-b-legacy-gamma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_lease@page_flip_implicit_plane.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_big_fb@linear-32bpp-rotate-270.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_rotation_crc@sprite-rotation-90.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip_tiling@flip-x-tiled.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-wait-forked-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-wait-idle.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-wait-busy-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_setmode@clone-exclusive-crtc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_rotation_crc@primary-yf-tiled-reflect-x-180.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_psr@primary_render.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbcpsr-2p-primscrn-spr-indfb-onoff.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbcpsr-2p-scndscrn-pri-shrfb-draw-mmap-wc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-c-ctm-green-to-red.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-forked-busy-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbc-2p-primscrn-pri-indfb-draw-mmap-wc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-query-idle-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-query-forked.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_big_fb@linear-64bpp-rotate-90.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-a-ctm-blue-to-red.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-a-ctm-green-to-red.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_lowres@pipe-a-tiling-y.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-wf_vblank.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_scaling@pipe-a-scaler-with-clipping-clamping.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-busy-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-shrfb-draw-render.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_universal_plane@universal-plane-pipe-c-functional.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_big_fb@linear-32bpp-rotate-90.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_scaling@pipe-a-scaler-with-pixel-format.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-ts-continuation-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@dpms-vs-vblank-race.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-draw-pwrite.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-query-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_lease@cursor_implicit_plane.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@plain-flip-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbc-2p-primscrn-cur-indfb-move.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-panning-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip_tiling@flip-changes-tiling.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@fbc-1p-primscrn-cur-indfb-draw-mmap-gtt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_cursor_legacy@cursorb-vs-flipb-varying-size.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@i915_pm_rpm@cursor-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@flip-vs-dpms-off-vs-modeset-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_frontbuffer_tracking@psr-2p-scndscrn-pri-indfb-draw-mmap-gtt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane@plane-panning-top-left-pipe-b-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-wait-forked.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-c-wait-idle-hang.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-c-ctm-0-25.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@2x-flip-vs-dpms-off-vs-modeset-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_universal_plane@universal-plane-pipe-a-sanity.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-busy.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-a-degamma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@dpms-vs-vblank-race-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_atomic_transition@1x-modeset-transitions.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-b-accuracy-idle.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane@plane-panning-top-left-pipe-c-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_big_fb@x-tiled-16bpp-rotate-90.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_lowres@pipe-b-tiling-y.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_lowres@pipe-b-tiling-x.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_big_fb@x-tiled-16bpp-rotate-270.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_color@pipe-a-ctm-0-75.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_flip@plain-flip-fb-recreate-interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_plane_lowres@pipe-b-tiling-yf.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_big_fb@x-tiled-32bpp-rotate-270.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@kms_vblank@pipe-a-wait-idle-hang.html
Comment 7 CI Bug Log 2019-05-23 13:52:43 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: random tests - fail - Failed assertion: ret == 0\n.*Last errno: 22, Invalid argument
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6076/re-icl-u/igt@kms_cursor_crc@cursor-128x42-random.html
Comment 8 CI Bug Log 2019-05-23 15:43:09 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b)
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
Comment 9 CI Bug Log 2019-05-23 16:39:16 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) -}
{+ ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
Comment 10 CI Bug Log 2019-05-23 17:18:04 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) -}
{+ ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_292/fi-icl-u3/igt@runner@aborted.html
Comment 11 Lakshmi 2019-05-24 08:22:10 UTC
@Imre, what are the next steps here?
Comment 12 Jani Saarinen 2019-05-24 15:26:06 UTC
For this there was patch sent in trybot but where we are on this?
Comment 13 CI Bug Log 2019-05-27 13:17:11 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) -}
{+ ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_293/fi-icl-u3/igt@runner@aborted.html
Comment 15 Imre Deak 2019-05-27 14:54:03 UTC
Should be fixed now by the following merged commit:
commit 4361ccac2810553d6cfaa6860bd4bd65f4742ed2
Author: Imre Deak <imre.deak@intel.com>
Date:   Fri May 24 20:35:32 2019 +0300

    drm/i915/icl: Fix AUX-B HW not done issue w/o AUX-A
Comment 16 Jani Saarinen 2019-05-27 15:21:30 UTC
Lets resolve to start following on CI side if fixed, agree Imre?
Comment 17 CI Bug Log 2019-05-29 08:24:46 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) -}
{+ ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/igt@runner@aborted.html
Comment 18 Imre Deak 2019-05-29 09:15:24 UTC
(In reply to CI Bug Log from comment #17)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane
> (disable-primary-vs-flip-pipe-b) -}
> {+ ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane
> (disable-primary-vs-flip-pipe-b) +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/
> igt@runner@aborted.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/
> igt@runner@aborted.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/
> igt@runner@aborted.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_295/fi-icl-u3/
> igt@runner@aborted.html

The kernel tree tested above doesn't yet have the fix from comment#15 (the fix is already in drm-tip).
Comment 19 Jani Saarinen 2019-05-30 05:52:27 UTC
Yes, only 296 this : https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_296/git-log-oneline.log
Comment 20 Jani Saarinen 2019-05-30 05:55:51 UTC
Also this change on https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6149/git-log-oneline.log
Comment 21 Jani Saarinen 2019-05-31 11:58:44 UTC
Need to re-open
Comment 22 CI Bug Log 2019-06-03 08:35:34 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) -}
{+ ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_298/fi-icl-u3/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_298/fi-icl-u3/igt@runner@aborted.html
Comment 23 CI Bug Log 2019-06-03 11:53:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: kms_universal_plane (disable-primary-vs-flip-pipe-b) -}
{+ ICL: igt@runner@aborted - fail - Kernel badly tainted (0x240) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6158/re-icl-u/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6170/re-icl-u/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6175/re-icl-u/igt@runner@aborted.html
Comment 24 CI Bug Log 2019-06-06 13:02:03 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: all tests - dmesg-fail / dmesg-warn - *ERROR* failed to enable link training / dp aux hw did not signal timeout! -}
{+ ICL: all tests - dmesg-fail / dmesg-warn - *ERROR* dp aux hw did not signal timeout! +}


  No new failures caught with the new filter
Comment 25 Lakshmi 2019-06-06 13:13:09 UTC
Imre/Jani,
CI bug log filter is updated to remove failures related to *ERROR* failed to enable link training from this bug as these failures are part of bug 102505.
Comment 26 Jani Saarinen 2019-06-06 13:17:46 UTC
thanks.
Comment 27 Tvrtko Ursulin 2019-06-10 10:28:04 UTC
*** Bug 107406 has been marked as a duplicate of this bug. ***
Comment 28 Jani Saarinen 2019-07-29 09:41:48 UTC
Imre, what are next steps here?
Comment 29 Lakshmi 2019-08-12 07:51:12 UTC
Last seen drmtip_317 (1 month, 2 weeks old), till then the reproduction rate of this issue is once in 2.5 drmtip runs. Current drmtip run is 340.

This issue can be closed as fixed. The rest of the failures are coming from igt@runner@aborted which are not related to the original issue( ERROR* dp aux hw did not signal timeout!). Closing this issue as fixed.

Please reopen this issue if a new failure comes back again.
Comment 30 CI Bug Log 2019-08-12 07:51:44 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.